int getTemperature(double &t) {
  char status;
  status = bmp180.startTemperature();
  if (status != 0)
  {
    // Wait for the measurement to complete:
    delay(status);
    status = bmp180.getTemperature(t);
    if (status != 0)
      return 0;
  }
  return -1;
}

int getTempAndPressure(double &t, double &p) {
  if (getTemperature(t) == 0) {
    char status;
    status = bmp180.startPressure(3);
    if (status != 0)
    {
      delay(status);
      status = bmp180.getPressure(p, t);
      if (status != 0)
        return 0;
    }
  }
  return -1;
}
